| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.ListOrdersRequestDto Class Reference

Data transfer object that is used for searching through all orders. All fields represent a query that can be used to filter through orders. More...

Inheritance diagram for LicenseSpring.ListOrdersRequestDto:

## Properties
string | ClientOrderId`[get, set]`
| The resulting set can be filtered by a client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.
string | ClientOrderIdContains`[get, set]`
| The resulting set can be filtered by a partial order store id that can be manually set in platform or through SDK. Not to be confused with order id that the server generates.Case insensitive.
string | ClientOrderIdStartsWith`[get, set]`
| The resulting set can be filtered by a custom order ID (partial match).Not to be confused with order id that the server generates.
string | Company`[get, set]`
| The resulting set can be filtered by an id of the company that issued the license.
string | CustomerCompanyName`[get, set]`
| The resulting set can be filtered by customer's company name (exact match, but case insensitive).
string | CustomerCompanyNameContains`[get, set]`
| The resulting set can be filtered by customer's company name (partial match, case insensitive).
string | CustomerEmail`[get, set]`
| The resulting set can be filtered by customer email (exact match).
string | CustomerEmailContains`[get, set]`
| The resulting set can be filtered by customer email (partial match, case insensitive).
string | CustomerEmailStartsWith`[get, set]`
| The resulting set can be filtered by customer email (startsWith match).
string | CustomerId`[get, set]`
| The resulting set can be filtered by customerId (exact match).
string | CustomerLabel`[get, set]`
| The resulting set can be filtered by customers label, the set will contain all orders whose customer has one or more labels from this String.The string needs to be filled with label id(s), separated by a comma. E.g.customerLabel = "2,4";.
string | CustomerNameContains`[get, set]`
| The resulting set can be filtered by a partial match of customers name, either first or last name. Case insensitive.
string | CustomerReferenceContains`[get, set]`
| The resulting set can be filtered by a custom reference (partial match, case insensitive).
OrderOrdersBy | Order`[get, set]`
| The resulting set can be ordered by a Order field, after the filters are applied.See docs on kwiki for full list of possible sorts.
string | OrderByString`[get]`
| OrderBy attribute converted to string.
Properties inherited from LicenseSpring.BaseListDto
int | Limit`[get, set]`
| Number of results you want to be shown. Server sends paginated response that's why limit can be set. Default is 20.
int | Offset`[get, set]`

## Detailed Description

Data transfer object that is used for searching through all orders. All fields represent a query that can be used to filter through orders.

The documentation for this class was generated from the following file:

- Dto/ListOrdersRequestDto.cs